Subject: Re: bug#12696: 24.2.50; epa bug with gpg-agent

From: Richard Stallman <[email-masked]>
Date: Fri, 26 Oct 2012 21:14:51 -0400

I resend this hoping your email account is working now.

    Are you sure that you successfully preset the passphrase for this key?
    If so, how did you do that?

I use the script below to start Emacs.  gpg gives me an error if I
don't enter the passphrase correctly, and asks again.  Thus, when gpg
exits and lets emacs start, I know the passphrase is correct.

Maybe what's needed is to add code to record other data.
In the debug buffer, or in Lisp variables (I could examine them).

#!/bin/sh

eval `gpg-agent --daemon`
gpg --use-agent --output /dev/null --sign /dev/null > /dev/null

emacs -f normal-start

-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use Ekiga or an ordinary phone call